searchNodes=[{"type":"module","title":"LocationSimulator","doc":"This is main api of library. To start simple call iex&gt; LocationSimulator.start() Or start with your config iex&gt; LocationSimulator.start(config)","ref":"LocationSimulator.html"},{"type":"function","title":"LocationSimulator.default_config/0","doc":"Get default config of library.","ref":"LocationSimulator.html#default_config/0"},{"type":"function","title":"LocationSimulator.start/0","doc":"Start with default config. In this case, library just uses Logger to log data in every event.","ref":"LocationSimulator.html#start/0"},{"type":"function","title":"LocationSimulator.start/1","doc":"Start with config. The config is a map type. Config has info like: %{ worker : 3 , # number of worker will run event : 100 , # number of GPS events will be trigger interval : 1000 , # this &amp; random_range used for sleep between GPS events, if value is :infinity worker will run forever (you still stop by return {:stop, reason}) random_range : 0 , # 0 mean no random, other positive will be used for generate extra random sleep time callback : MyCallbackModule # your module will handle data } If you need pass your data to callback module you can add that in the config. The config can be change after every event.","ref":"LocationSimulator.html#start/1"},{"type":"module","title":"LocationSimulator.DynamicSupervisor","doc":"DynamicSupervisor, uses for add worker in runtime.","ref":"LocationSimulator.DynamicSupervisor.html"},{"type":"function","title":"LocationSimulator.DynamicSupervisor.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"LocationSimulator.DynamicSupervisor.html#child_spec/1"},{"type":"function","title":"LocationSimulator.DynamicSupervisor.start_childrens/1","doc":"","ref":"LocationSimulator.DynamicSupervisor.html#start_childrens/1"},{"type":"function","title":"LocationSimulator.DynamicSupervisor.start_link/1","doc":"","ref":"LocationSimulator.DynamicSupervisor.html#start_link/1"},{"type":"behaviour","title":"LocationSimulator.Event","doc":"Callback api is a brigde for worker call your code. Has three callback apis: start/2, event/2, stop/2 All these have 2 parameters is config &amp; state. config includes lib's config and your meta data you need pass to module. state is data that is generated by worker. state is an Elixir map with key: :start_time - Timestamp the worker start. :success - Number of event success. :failed - Number of event failed. :error - Number of event error :gps - GPS data of current state. :stop_time - Timestamp worker done, only in stop callback api. GPS data is map with key: :timestamp - delta time in milisecond from last event. :long - Longitude :lati - Latitude :alti - Altitude Example Please go to example folder in repo","ref":"LocationSimulator.Event.html"},{"type":"callback","title":"LocationSimulator.Event.event/2","doc":"event callback will be trigger every worker generated a new GPS data. If result is {:stop, reason} the worker will stop working.","ref":"LocationSimulator.Event.html#c:event/2"},{"type":"callback","title":"LocationSimulator.Event.start/2","doc":"start event will be trigger when worker start. In this event gps &amp; :end_time won't exist. result return to worker for success is {:ok, new_config}. new_config will be used for next event. if return {:error, reason} the worker will stop working.","ref":"LocationSimulator.Event.html#c:start/2"},{"type":"callback","title":"LocationSimulator.Event.stop/2","doc":"stop will be trigger when worker send enough gps event.","ref":"LocationSimulator.Event.html#c:stop/2"},{"type":"module","title":"LocationSimulator.Gps","doc":"Generate a random location. Get next gps from a location.","ref":"LocationSimulator.Gps.html"},{"type":"function","title":"LocationSimulator.Gps.generate_next_pos/4","doc":"Gets next location from current location.","ref":"LocationSimulator.Gps.html#generate_next_pos/4"},{"type":"function","title":"LocationSimulator.Gps.generate_pos/0","doc":"Generates a random location.","ref":"LocationSimulator.Gps.html#generate_pos/0"},{"type":"module","title":"LocationSimulator.LoggerEvent","doc":"","ref":"LocationSimulator.LoggerEvent.html"},{"type":"module","title":"LocationSimulator.Worker","doc":"","ref":"LocationSimulator.Worker.html"},{"type":"function","title":"LocationSimulator.Worker.child_spec/1","doc":"","ref":"LocationSimulator.Worker.html#child_spec/1"},{"type":"function","title":"LocationSimulator.Worker.init/1","doc":"","ref":"LocationSimulator.Worker.html#init/1"},{"type":"function","title":"LocationSimulator.Worker.start_link/1","doc":"","ref":"LocationSimulator.Worker.html#start_link/1"},{"type":"extras","title":"LocationSimulator","doc":"Use for simulating location(longitude, latitude) data. Support scalable for test workload.","ref":"readme.html"},{"type":"extras","title":"LocationSimulator - Achitecture","doc":"The library has 3 main part: Supervisor. Lib uses DynamicSupervisor for creating worker from config Worker. Generating GPS with user config Callback module. This is defined by user to handle event from worker Api call flow sequenceDiagram participant CallbackMod participant Worker participant Api participant Sup Api-&gt;&gt;Sup: Start with workers from config Sup-&gt;&gt;Worker: Start GPS generator Worker-&gt;&gt;CallbackMod: call start event Worker-&gt;&gt;CallbackMod: call gps event Worker-&gt;&gt;CallbackMod: call stop event (for in local you need install extension to view flow)","ref":"readme.html#achitecture"},{"type":"extras","title":"LocationSimulator - Installation","doc":"Library can be installed by adding location_simulator to your list of dependencies in mix.exs : def deps do [ { :location_simulator , &quot;~&gt; 0.1.1&quot; } ] end If you need to modify source please go to Github and clone repo.","ref":"readme.html#installation"},{"type":"extras","title":"LocationSimulator - Guide","doc":"Start LocationSimulator with default config: LocationSimulator . start ( ) With default config simulator will print to Logger with default config Start with your callback &amp; config: config = %{ worker : 3 , event : 100 , interval : 1000 , random_range : 0 , callback : MyCallbackModule } LocationSimulator . start ( config ) For writing callback module please go to callback_event document.","ref":"readme.html#guide"}]